Page MenuHomePhabricator

Huggle uses deprecated `rvparse`
Closed, ResolvedPublic

Description

The property rvparse to the Action API prop=revisions has been deprecated since MediaWiki 1.30 in 2017. Clients should use action=parse to parse a page's wikitext to HTML when necessary.

Discussion on T241208 is considering removing rvparse to improve site stability and performance. You may want to convert to action=parse now rather than waiting to see if the decision is made to actually remove rvparse.

Event Timeline

elukey added a subscriber: elukey.Dec 21 2019, 11:11 AM
Krinkle updated the task description. (Show Details)Jan 7 2020, 8:25 PM
Petrb added a subscriber: Petrb.Mar 31 2020, 9:47 PM

There are multiple problems with this, it's burried in very old code that I wrote so long time ago I am not sure about the logic anymore. This commit removes it - https://github.com/huggle/huggle3-qt-lx/commit/8638b179899ff92b2a3ef2defcb6d17de511a791 but it needs some intensive testing, because I literally just removed the rvparse from API call and now I am observing what it broke.

The weird part is, that I can't see that anything is broken - why did we even use this rvparse thing in a first place?

BTW I can already see another deprecation warning for some other API call, you deprecate these API calls in a light speed... Even that action=parse is already full of deprecated options, I think you should think things through before release ;)

Petrb added a comment.Mar 31 2020, 9:48 PM

I mean, try to get some inspiration from UNIX, it was invented around 1970 and most of old C code from that time still compile on modern UNIXes... that's what I call a stable API :P

Petrb closed this task as Resolved.Apr 9 2020, 5:26 PM
Petrb claimed this task.

ok I couldn't find any issue after I removed it, I believe it's resolved now, this version with fix was not released yet, and even when it is, old versions of Huggle will still be used for a while though.

Aklapper removed a subscriber: Anomie.Oct 16 2020, 5:40 PM